2

[alpine-aports] [PATCH 1/2] testing/xonotic-data: upgrade to 0.8.0

Sören Tempel
Details
Message ID
<1439932482-13043-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1439932481
DKIM signature
missing
Download raw message
Patch: +5 -18
---
 testing/xonotic-data/APKBUILD | 23 +++++------------------
 1 file changed, 5 insertions(+), 18 deletions(-)

diff --git a/testing/xonotic-data/APKBUILD b/testing/xonotic-data/APKBUILD
index 40ab2c1..d34986a 100644
--- a/testing/xonotic-data/APKBUILD
+++ b/testing/xonotic-data/APKBUILD
@@ -1,7 +1,8 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Contributor: William Pitcock <nenolod@dereferenced.org>
 # Maintainer: William Pitcock <nenolod@dereferenced.org>
 pkgname=xonotic-data
-pkgver=0.7.0
+pkgver=0.8.0
 pkgrel=0
 pkgdesc="Data files for Xonotic"
 url="http://www.xonotic.org/"
@@ -15,25 +16,11 @@ subpackages=""
 source="http://dl.xonotic.org/xonotic-${pkgver}.zip"
 
 _builddir=${srcdir}/Xonotic
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-}
-
 package() {
 	mkdir -p "$pkgdir"/usr/share/xonotic/
 	mv "$srcdir"/Xonotic/data "$pkgdir"/usr/share/xonotic/
 }
 
-md5sums="eda7e8acadbefaf4b2efcfb70bbe98e2  xonotic-0.7.0.zip"
-sha256sums="21a5fb5493c269cd3843789cb8598f952d4196e8bc71804b9bd5808b646542c6  xonotic-0.7.0.zip"
-sha512sums="bde7d23251b80b0071693f013c1620ead3f0ac42f266921c9b37b1a8e4cc24935c9c2a4d5ddee588ce68042ba0341b720417b186b907eaba9e4c731cc3a9697c  xonotic-0.7.0.zip"
+md5sums="bc368e116a2502362e1d4f07d8f8efab  xonotic-0.8.0.zip"
+sha256sums="0a87c808827a8b234f2324b468ecb643aa48a6fd43322a29e616610dca316370  xonotic-0.8.0.zip"
+sha512sums="49ae728f9269ff642540ec8a7ab52fb9624f3d05cab2b07c5a1aa87d4103d3acffad4e2a1f266d3976cd457e742a3a7a1fd4a774cbcde934b123ae3baa747332  xonotic-0.8.0.zip"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] testing/xonotic: upgrade to 0.8.0

Sören Tempel
Details
Message ID
<1439932482-13043-2-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439932482-13043-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439932482
DKIM signature
missing
Download raw message
Patch: +23 -29
---
 testing/xonotic/APKBUILD | 52 +++++++++++++++++++++---------------------------
 1 file changed, 23 insertions(+), 29 deletions(-)

diff --git a/testing/xonotic/APKBUILD b/testing/xonotic/APKBUILD
index 5b832fa..ee75a2f 100644
--- a/testing/xonotic/APKBUILD
+++ b/testing/xonotic/APKBUILD
@@ -1,7 +1,8 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Contributor: William Pitcock <nenolod@dereferenced.org>
 # Maintainer:
 pkgname=xonotic
-pkgver=0.7.0
+pkgver=0.8.0
 pkgrel=0
 pkgdesc="Game engine for Xonotic (quake1/nexuiz derivative)"
 url="http://www.xonotic.org/"
@@ -28,49 +29,42 @@ prepare() {
 }
 
 build() {
-	cd "$_builddir"
-
 	# msg "building Xonotic-patched QuakeC compiler"
-	# make -C source/fteqcc CPUOPTIMIZATIONS="${CFLAGS}"
-
-	msg "building dedicated server"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 sv-release
-
-	msg "building GLX client"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 cl-release
+	# make -C "$_builddir"/source/fteqcc CPUOPTIMIZATIONS="${CFLAGS}"
 
-	msg "building SDL client"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 sdl-release
+	local r
+	for r in sv cl sdl; do
+		make -C "$_builddir"/source/darkplaces \
+			CPUOPTIMIZATIONS="$CFLAGS" \
+			DP_FS_BASEDIR="/usr/share/$pkgname" \
+			DP_LINK_TO_LIBJPEG=1 \
+			$r-release || return 1
+	done
 }
 
 package() {
-	cd "$_builddir"
-
 	mkdir -p "$pkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-dedicated "$pkgdir"/usr/bin/xonotic-dedicated
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-dedicated \
+		"$pkgdir"/usr/bin/xonotic-dedicated || return 1
 }
 
 sdl() {
 	pkgdesc="$pkgdesc (SDL client)"
-
-	cd "$_builddir"
-
 	mkdir -p "$subpkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-sdl "$subpkgdir"/usr/bin/xonotic-sdl
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-sdl \
+		"$subpkgdir"/usr/bin/xonotic-sdl || return 1
 }
 
 glx() {
 	pkgdesc="$pkgdesc (GLX client)"
-
-	cd "$_builddir"
-
 	mkdir -p "$subpkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-glx "$subpkgdir"/usr/bin/xonotic-glx
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-glx \
+		"$subpkgdir"/usr/bin/xonotic-glx || return 1
 }
 
-md5sums="1cc50a79ac6abf27da916bfb5e066043  xonotic-0.7.0-source.zip
-e7ad5ace0debe34486ff06b4f78b3f27  xonotic-moncontrol.patch"
-sha256sums="f1a527de67ab2bfd2b17414614301a783ad04e00dbd0d8abb516505e4ee9f88c  xonotic-0.7.0-source.zip
-5bb342ea261775d7a4cb0c542656aa12df17e27338ef4ed32711c03b36a9f73f  xonotic-moncontrol.patch"
-sha512sums="1b22c04e513284a460747bc63cde93ab177b63f90f38ae4b64ada1620c588ca0f521de958255924fd696ca85f928d7e91fc6746b8ada86c9e5385c3d52846492  xonotic-0.7.0-source.zip
-0412b191fcdee9835d2fb6f39e030f06cb72f795783ea2a1be32760dd4ef7a643414c3ddad01919f73d746272810a9a91cace19c84fd752417fe641eb08af3f3  xonotic-moncontrol.patch"
+md5sums="2715a0b219239211cff9bc24d693e1c5  xonotic-0.8.0-source.zip
+67b56ab2676cbc76c015fc889d7c23e3  xonotic-moncontrol.patch"
+sha256sums="0ba4e05e845a0672d9c47e0ff06c6194d5eb8b2dda28ef2c90b3f2f615f4c84a  xonotic-0.8.0-source.zip
+b745ba7c58f3c18b53464f6142c1c4552bda1c131b796453c633b4a91892040e  xonotic-moncontrol.patch"
+sha512sums="9d150fce57aa567e5b2dec420c727b8867b2df38651743261533dd0654a59aa7830a441d672b2c605a2ce4869171a4728ee0b035a2da95bef870f9c084e64620  xonotic-0.8.0-source.zip
+d74a1d1421dc68dbf46595510cea463382e69c8421110cd7b187419530dbfe9d262d9b65843b89b49aa91d9e32041e11941e411fe52f2dcb0ede18311ab821ec  xonotic-moncontrol.patch"
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH v2] testing/xonotic: upgrade to 0.8.0

Sören Tempel
Details
Message ID
<1439935603-6909-1-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1439932482-13043-2-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1439935603
DKIM signature
missing
Download raw message
Patch: +30 -45
---
 testing/xonotic/APKBUILD                 | 52 ++++++++++++++------------------
 testing/xonotic/xonotic-moncontrol.patch | 23 +++++---------
 2 files changed, 30 insertions(+), 45 deletions(-)

diff --git a/testing/xonotic/APKBUILD b/testing/xonotic/APKBUILD
index 5b832fa..ee75a2f 100644
--- a/testing/xonotic/APKBUILD
+++ b/testing/xonotic/APKBUILD
@@ -1,7 +1,8 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Contributor: William Pitcock <nenolod@dereferenced.org>
 # Maintainer:
 pkgname=xonotic
-pkgver=0.7.0
+pkgver=0.8.0
 pkgrel=0
 pkgdesc="Game engine for Xonotic (quake1/nexuiz derivative)"
 url="http://www.xonotic.org/"
@@ -28,49 +29,42 @@ prepare() {
 }
 
 build() {
-	cd "$_builddir"
-
 	# msg "building Xonotic-patched QuakeC compiler"
-	# make -C source/fteqcc CPUOPTIMIZATIONS="${CFLAGS}"
-
-	msg "building dedicated server"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 sv-release
-
-	msg "building GLX client"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 cl-release
+	# make -C "$_builddir"/source/fteqcc CPUOPTIMIZATIONS="${CFLAGS}"
 
-	msg "building SDL client"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 sdl-release
+	local r
+	for r in sv cl sdl; do
+		make -C "$_builddir"/source/darkplaces \
+			CPUOPTIMIZATIONS="$CFLAGS" \
+			DP_FS_BASEDIR="/usr/share/$pkgname" \
+			DP_LINK_TO_LIBJPEG=1 \
+			$r-release || return 1
+	done
 }
 
 package() {
-	cd "$_builddir"
-
 	mkdir -p "$pkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-dedicated "$pkgdir"/usr/bin/xonotic-dedicated
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-dedicated \
+		"$pkgdir"/usr/bin/xonotic-dedicated || return 1
 }
 
 sdl() {
 	pkgdesc="$pkgdesc (SDL client)"
-
-	cd "$_builddir"
-
 	mkdir -p "$subpkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-sdl "$subpkgdir"/usr/bin/xonotic-sdl
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-sdl \
+		"$subpkgdir"/usr/bin/xonotic-sdl || return 1
 }
 
 glx() {
 	pkgdesc="$pkgdesc (GLX client)"
-
-	cd "$_builddir"
-
 	mkdir -p "$subpkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-glx "$subpkgdir"/usr/bin/xonotic-glx
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-glx \
+		"$subpkgdir"/usr/bin/xonotic-glx || return 1
 }
 
-md5sums="1cc50a79ac6abf27da916bfb5e066043  xonotic-0.7.0-source.zip
-e7ad5ace0debe34486ff06b4f78b3f27  xonotic-moncontrol.patch"
-sha256sums="f1a527de67ab2bfd2b17414614301a783ad04e00dbd0d8abb516505e4ee9f88c  xonotic-0.7.0-source.zip
-5bb342ea261775d7a4cb0c542656aa12df17e27338ef4ed32711c03b36a9f73f  xonotic-moncontrol.patch"
-sha512sums="1b22c04e513284a460747bc63cde93ab177b63f90f38ae4b64ada1620c588ca0f521de958255924fd696ca85f928d7e91fc6746b8ada86c9e5385c3d52846492  xonotic-0.7.0-source.zip
-0412b191fcdee9835d2fb6f39e030f06cb72f795783ea2a1be32760dd4ef7a643414c3ddad01919f73d746272810a9a91cace19c84fd752417fe641eb08af3f3  xonotic-moncontrol.patch"
+md5sums="2715a0b219239211cff9bc24d693e1c5  xonotic-0.8.0-source.zip
+67b56ab2676cbc76c015fc889d7c23e3  xonotic-moncontrol.patch"
+sha256sums="0ba4e05e845a0672d9c47e0ff06c6194d5eb8b2dda28ef2c90b3f2f615f4c84a  xonotic-0.8.0-source.zip
+b745ba7c58f3c18b53464f6142c1c4552bda1c131b796453c633b4a91892040e  xonotic-moncontrol.patch"
+sha512sums="9d150fce57aa567e5b2dec420c727b8867b2df38651743261533dd0654a59aa7830a441d672b2c605a2ce4869171a4728ee0b035a2da95bef870f9c084e64620  xonotic-0.8.0-source.zip
+d74a1d1421dc68dbf46595510cea463382e69c8421110cd7b187419530dbfe9d262d9b65843b89b49aa91d9e32041e11941e411fe52f2dcb0ede18311ab821ec  xonotic-moncontrol.patch"
diff --git a/testing/xonotic/xonotic-moncontrol.patch b/testing/xonotic/xonotic-moncontrol.patch
index 9d88866..4fdd6a6 100644
--- a/testing/xonotic/xonotic-moncontrol.patch
+++ b/testing/xonotic/xonotic-moncontrol.patch
@@ -1,21 +1,12 @@
 --- Xonotic.orig/source/darkplaces/sys_shared.c
 +++ Xonotic/source/darkplaces/sys_shared.c
-@@ -50,18 +50,8 @@
- 	exit(returnvalue);
- }
- 
--#if defined(__linux__) || defined(__FreeBSD__)
--#ifdef __cplusplus
--extern "C"
--#endif
--int moncontrol(int);
--#endif
--
- void Sys_AllowProfiling(qboolean enable)
- {
--#if defined(__linux__) || defined(__FreeBSD__)
+@@ -69,9 +69,6 @@
+ 	else
+ 		moncleanup();
+ #endif
+-#elif defined(__linux__) || defined(__FreeBSD__)
+-	extern int moncontrol(int);
 -	moncontrol(enable);
--#endif
+ #endif
  }
  
- 
-- 
2.5.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---